unit Dxf2Dwg;

interface
uses
  Windows;

const

DXF = 0
DWG = 1
DXB = 2




IS_OK					"Conversion is ok"
BAD_FORMAT				"Error in format"  
BAD_VERSION			"Error in version"
NO_INPUT_FILE			"The input file doesn't exist"
NO_OUTPUT_FOLDER		"The output folder doesn't exist"
BAD_SIZE_DEMO			"Size file over then demo size file"
BAD_EXT_INPUT			"Error in the extension of the input file"
BAD_EXT_OUTPUT			"Error in the extension of the output file"
DISK_FULL				"The disk is full"
THE_INPUT_IS_OK		"The input is ok"
DLL_NOT_FOUND 			"Dxf2DwgDll was not found"
TRIAL_EXPIRED 			"trial expired"

  E120  "Invalid Drawing"   
  E121  "Not implemented yet"   
  E122  "Not Applicable"   
  E123  "Invalid input"   
  E124  "Invalid Filer"   
  E125  "No Interface"   
  E126  "Invalid open state"   
  E127  "Unsupported Method"   
  E128  "Handle already exists"   
  E129  "Unknown handle"   
  E130  "Null object Id"   
  E131  "Container is not empty"   
  E132  "Illegal entity type"   
  E133  "Key Not Found"   
  E134  "Duplicate Key"   
  E135  "Character Not Found"   
  E136  "Already in database"   
  E137  "Invalid Extents"   
  E138  "Invalid Symbol Table Name"   
  E139  "Invalid Key"   
  E140  "Wrong Object Type"   
  E141  "Wrong Database"   
  E142  "Invalid Dwg Version"   
  E143  "Illegal Replacement"   
  E144  "Unexpected end of file"   
  E145  "Can't open file"    
  E146  "File close error"    
  E147  "File write error"   
  E148  "No filename"   
  E149  "File internal error"   
  E150  "File not found"   
  E151 "Unknown File Type"   
  E152 "Not opened for read"   
  E153 "Not opened for write"   
  E154 "Not that kind of class"   
  E155 "Invalid block name"   
  E156  "Invalid group code"   
  E157  "Invalid ResBuf"   
  E158  "Bad Dxf sequence"   
  E159  "Invalid RoundTripR14 data"   
  E160  "Polyface Mesh vertex after face"   
  E161  "Invalid vertex index"   
  E162  "Dwg Object Improperly Read"   
  E163  "CRC does not match"   
  E164  "Object was erased"   
  E165  "Object was permanently erased"   
  E166  "Was open for read"   
  E167  "Was open for write"   
  E168  "Was open for undo"   
  E169  "Was notifying"   
  E170  "Was open for notify"   
  E171  "Invalid Block table record name"   
  E172  "Duplicate record name"   
  E173  "Block is not an external reference definition"   
  E174  "Empty record name"   
  E175  "Block depend on other XRefs"   
  E176  "Entity references itself"   
  E177  "Missing symbol table"   
  E178  "Missing symbol table record"   
  E179  "Object can't be erased"   
  E180  "No Database"   
  E181  "XData size exceeded"   
  E182  "Cannot save hatch roundtrip data due to format limitations  they are too large"   
  E183  "Hatch is gradient, but either solid fill flag not set or pattern type is not pre  Edefined"    
  E184  "Invalid RegApp"   
  E185  "Record not in table"   
  E186  "Iterator done"   
  E187  "Null iterator"   
  E188  "Not in block"   
  E189  "Owner not in database"   
  E190  "Cannot transform by non  Eortho matrix"   
  E191  "Cannot transform by non  Euniform scaling matrix"   
  E192  "Object not in database"   
  E193  "Cannot change properties of active viewport!"   
  E195  "No active viewport in paperspace"   
  E196  "General modeling failure"   
  E197  "Out of range"   
  E198  "Non coplanar geometry"   
  E199  "Degenerate geometry"   
  E200  "Invalid axis"   
  E201  "Can not explode entity"   
  E202  "String too long"   
  E203  "Undefined line type"   
  E204  "Text style is invalid"   
  E205  "Invalid dimension style"   
  E206  "Invalid layer"   
  E207  "Multiline style is invalid"   
  E208  "Dwg file needs recovery"   
  E209  "Recovery failed"   
  E210  "Bad layer name"   
  E211  "Bad color index"   
  E212  "Bad linetype name"   
  E213  "Bad lineweight value"   
  E214  "Invalid Owner Object"   
  E215  "Owner Not Set"   
  E216  "No Active Transactions"   
  E217  "Transaction Is Active"   
  E218  "Not newly created object"   
  E219  "Entity already in group"   
  E220  "There is no entity with this id in group"   
  E221  "Bad Dwg File"   
  E222  "Not allowed for this proxy"   
  E223  "Null Extents"   
  E224  "ODAX no document"   
  E225  "Invalid context of execution"   
  E226  "Seting active layout failed"   
  E227  "Model Space layout can't be deleted"   
  E228  "Last Paper Space layout can't be deleted"   
  E229  "Model Space layout can't be renamed"   
  E230  "Invalid layout name"   
  E231  "Layout already exists"   
  E232  "Not initialized yet"   
  E233  "No block begin"   
  E234  "Bad plotstyle name"   
  E235  "Object is referenced"   
  E236  "Invalid thumbnail bitmap"   
  E237  "Plot style is in color dependent mode"  
  E238  "No ClassId"   
  E239  "Undo operation is not available"   
  E240  "Hatch is too dense   E ignoring"   
  E241  "Not Handled"   
  E242  "Not Implemented"   
  E243  "Library integrity is broken"   
  E244  "Codepage not found"   
  E245  "Incorrect init file version"   
  E246  "Internal error in Freetype font library"   
  E247  "No UCS present in object"   
  E248  "Object has wrong type"   
  E249  "Protocol extension object is bad"   
  E250  "Bad name for hatch pattern"   
  E252  "Object is not transaction resident"   
  E254  "Dwg file is encrypted"   
  E255  "The password is incorrect"   
  E256  "HostApp cannot decrypt data"   
  E257  "An arithmetic overflow"   
  E258  "Paging skips the object"   
  E259  "Paging is stoped"   
  E260  "Invalid ResBuf with DimStyle data"   
  E261  "Extended error"   
  E262  "The grip operation has failed"   
  E263  "NoRedrawGrip"   
  E264  "GripHotToWarm"   
  E265  "GetNewGripPoints"   
  E266  "Unsupported early DWG version"   
  E268  "Unknown error"



		
  AUTOCAD25    0   
  AUTOCAD26    1   
  AUTOCAD9     2   
  AUTOCAD10    3   
  AUTOCAD11    4   
  AUTOCAD13    5   
  AUTOCAD14    6
  AUTOCAD2000  7
  AUTOCAD2004  8
  AUTOCAD2007  9
  AUTOCAD2008  10

  AUTOCADMAX   10
 
 
 Function ConvertDxftoDwg ( szFName : Pchar,  OutszFName : Pchar,  Ver : Integer) ; external 'dxf2dwgdll.dll';

 
 
implementation
end.
